Subcontract
Create Invoice
POST
/
api
/
v1
/
subcontract-invoices
Create Invoice
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/subcontract-invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subcontractOrderId": "<string>",
"supplierId": "<string>",
"invoiceNumber": "<string>",
"currency": "VND",
"subtotal": 0,
"taxRate": 123,
"taxAmount": 0,
"totalAmount": 0,
"notes": "<string>",
"post": false
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/subcontract-invoices"
payload = {
"subcontractOrderId": "<string>",
"supplierId": "<string>",
"invoiceNumber": "<string>",
"currency": "VND",
"subtotal": 0,
"taxRate": 123,
"taxAmount": 0,
"totalAmount": 0,
"notes": "<string>",
"post": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subcontractOrderId: '<string>',
supplierId: '<string>',
invoiceNumber: '<string>',
currency: 'VND',
subtotal: 0,
taxRate: 123,
taxAmount: 0,
totalAmount: 0,
notes: '<string>',
post: false
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/subcontract-invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"currency": "<string>",
"subtotal": 123,
"taxAmount": 123,
"totalAmount": 123,
"status": "<string>",
"glPosted": true,
"invoiceNumber": "<string>",
"subcontractOrderId": "<string>",
"supplierId": "<string>",
"entryId": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Successful Response
⌘I
Create Invoice
